DOMNode.hpp File Reference

Go to the source code of this file.

## Classes

class | DOMNode
| The `DOMNode` interface is the primary datatype for the entire Document Object Model. More...

## Macros

#define | GET_OWNER_DOCUMENT(ptr) ((DOMDocumentImpl*)(ptr->getOwnerDocument()))
#define | GET_DIRECT_MM(ptr) (ptr ? ((DOMDocumentImpl*)ptr)->getMemoryManager() : XMLPlatformUtils::fgMemoryManager)
#define | GET_INDIRECT_MM(ptr)
#define | GetDOMNodeMemoryManager GET_INDIRECT_MM(this)

## Macro Definition Documentation

## GET_DIRECT_MM

#define GET_DIRECT_MM | ( |  | ptr | ) | (ptr ? ((DOMDocumentImpl*)ptr)->getMemoryManager() : XMLPlatformUtils::fgMemoryManager)

## GET_INDIRECT_MM

#define GET_INDIRECT_MM | ( |  | ptr | ) |

Value:
(!ptr ? XMLPlatformUtils::fgMemoryManager : \
GET_OWNER_DOCUMENT(ptr) ? GET_OWNER_DOCUMENT(ptr)->getMemoryManager() : \
XMLPlatformUtils::fgMemoryManager)
GET_OWNER_DOCUMENT
#define GET_OWNER_DOCUMENT(ptr)
Definition: DOMNode.hpp:907
XMLPlatformUtils::fgMemoryManager
static MemoryManager * fgMemoryManager
The configurable memory manager.
Definition: PlatformUtils.hpp:121

## GET_OWNER_DOCUMENT

#define GET_OWNER_DOCUMENT | ( |  | ptr | ) | ((DOMDocumentImpl*)(ptr->getOwnerDocument()))

## GetDOMNodeMemoryManager

#define GetDOMNodeMemoryManager GET_INDIRECT_MM(this)